<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Details</title>
    <link rel="stylesheet" href="../static/style.css"> <!-- Link to your CSS file -->
    <style>
        /* Style for the modal */
        .modal {
            display: none;
            position: fixed;
            z-index: 1;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0,0,0,0.4);
        }

        /* Style for the modal content */
        .modal-content {
            background-color: #21c79d;
            margin: 15% auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* Style for the close button */
        .close {
            color: #000000;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <div class="form-container">
        <h2 class="enter-details-heading">Enter The Driver test</h2> <!-- Added class for the heading -->
        <form action="/confirm_rent" method="post">
            <input type="hidden" name="car_id" value="{{ car_id }}">
            <label for="full_name" class="user-details-label">Full Name:</label><br> <!-- Added class for the label -->
            <input type="text" id="full_name" name="full_name"><br>
            <label for="license_number" class="user-details-label">Driving License Number:</label><br> <!-- Added class for the label -->
            <input type="text" id="license_number" name="license_number"><br>
            <label for="age" class="user-details-label">Age:</label><br> <!-- Added class for the label -->
            <input type="number" id="age" name="age"><br><br>
            <label for="start_date" class="user-details-label">Start Date:</label><br>
            <input type="date" id="start_date" name="start_date" onchange="updateEndDateMin()"><br>
            <label for="end_date" class="user-details-label">End Date:</label><br>
            <input type="date" id="end_date" name="end_date"><br>
            <input type="submit" value="Submit"> <!-- Submit button -->
        </form>    
        <button id="add-driver-btn">Add a new Driver</button>
        <!-- The Modal -->
        <div id="driver-modal" class="modal">
            <!-- Modal content -->
            <div class="modal-content">
                <span class="close">&times;</span>
                <h2>Add a Driver</h2>
                <form id="driver-form">
                    <label for="driver_full_name">Full Name:</label><br>
                    <input type="text" id="driver_full_name" name="driver_full_name"><br>
                    <label for="driver_license_number">Driving License Number:</label><br>
                    <input type="text" id="driver_license_number" name="driver_license_number"><br>
                    <label for="driver_age">Age:</label><br>
                    <input type="number" id="driver_age" name="driver_age"><br><br>
                    <input type="submit" value="Add Driver">
                </form>
            </div>
        </div>
    </div>

    <script>
        // Get the modal
        var modal = document.getElementById("driver-modal");
    
        // Get the button that opens the modal
        var btn = document.getElementById("add-driver-btn");
    
        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];
    
        // When the user clicks the button, open the modal
        btn.onclick = function() {
            modal.style.display = "block";
        }
    
        // When the user clicks on <span> (x), close the modal
        span.onclick = function() {
            modal.style.display = "none";
        }
    
        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function(event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }
    
        // Function to update the minimum date for the end date input
        function updateEndDateMin() {
            var startDate = document.getElementById("start_date").value;
            document.getElementById("end_date").min = startDate;
        }
    
        // Function to handle adding a new driver
        document.getElementById("driver-form").addEventListener("submit", function(event) {
            event.preventDefault(); // Prevent default form submission
    
            // Get form data
            var formData = new FormData(document.getElementById("driver-form"));
    
            // Convert form data to JSON
            var jsonObject = {};
            formData.forEach(function(value, key){
                jsonObject[key] = value;
            });
    
            // Send data to server
            fetch("/add_driver", {
                method: "POST",
                headers: {
                    "Content-Type": "application/json"
                },
                body: JSON.stringify(jsonObject)
            })
            .then(response => response.json())
            .then(data => {
                // Display success message
                alert(data.message);
    
                // Close the modal
                modal.style.display = "none";
            })
            .catch(error => {
                // Display error message
                alert("An error occurred while adding the driver.");
                console.error("Error:", error);
            });
        });
    </script>
    
</body>
</html>
